Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class Connector

    java.lang.Object
      |
      +--oracle.apps.cz.cio.RuntimeNode
            |
            +--oracle.apps.cz.cio.Connector

All Implemented Interfaces:
  IRuntimeNode

public final class Connector
extends RuntimeNode

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from class oracle.apps.cz.cio.RuntimeNode
`ACCUMULATOR_SUFFIX_TYPE, ATTR_KEY, CONNECTOR_PREFIX_TYPE, DEFAULT_IV_SUFFIX_TYPE, DEFAULT_SUFFIX_ID, DEFAULT_SUFFIX_TYPE, LOAD_CONDITIONS_GROUP_PREFIX_TYPE, NET_PREFIX_TYPE, NODE_PREFIX_TYPE, TRACKABLE_ROOT_PREFIX_TYPE`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Constructor Summary
`Connector(oracle.apps.cz.cio.Configuration config, oracle.apps.cz.cio.IRuntimeNode parent, oracle.apps.cz.dio.model.DbModelNode node, oracle.apps.cz.dio.model.DbModelRefExplNode refNode)`

Method Summary
`void` | `addConnectionEventListener(oracle.apps.cz.cio.IConnectionEventListener listener)` Add a listener that is notified when the connector is connected or disconnected.
`void` | `addLoadConditionEventListener(oracle.apps.cz.cio.LoadConditionsGroup listener)` Add a listener that is notified when the connector is connected or disconnected.
`void` | `assignConnectionTarget(oracle.apps.cz.cio.Component target)` This method makes a connection to the specified target
`java.lang.String` | `getCurrentValue()` Gets the current value of this node
`java.lang.String` | `getDeltaValue()` Gets the difference between the current value and the installed value of this node
`com.sun.java.util.collections.List` | `getEligibleTargets()` This method returns a list of Components that this Connector can currently connect to.
`java.lang.String` | `getInstalledValue()` Gets the installed value of this node
`oracle.apps.cz.cio.Component` | `getTarget()` Returns the connected target, if loaded.
`java.lang.String` | `getTargetDisplayName()` Returns the display name of the currently connected target Returns null if this connector is not connected
`java.lang.String` | `getTargetDisplayNamePath()` Returns the display name path of the currently connected target Returns null if this connector is not connected
`oracle.apps.cz.cio.TargetInfo` | `getTargetInfo()` Returns an object describing the connected target, even if that target is not currently loaded This should be called only when isConnected() returns true.
`int` | `getType()` Returns the type of the runtime node.
`boolean` | `isConditionSatisfied()` Returns true if the condition is satisfied i.e. it is connected
`boolean` | `isConnected()` Test to see if this Connector is currently connected to a target
`boolean` | `isDeselectedDiscontinued()`
`boolean` | `isRequired()` Test to see if this Connector must be connected in order to be satisfied
`boolean` | `isUnsatisfiedNode(boolean isTrue)`
`void` | `removeConnectionEventListener(oracle.apps.cz.cio.IConnectionEventListener listener)` Remove a listener that is notified when the connector is connected or disconnected.
`void` | `removeLoadConditionEventListener(oracle.apps.cz.cio.LoadConditionsGroup listener)` Remove a listener that is notified when the connector is connected or disconnected.
`void` | `unassignConnectionTarget()` This method breaks the current connection.

Methods inherited from class oracle.apps.cz.cio.RuntimeNode
`associateAttribute, evaluateUiExpression, getAttributeByName, getAttributes, getAvailableEventCommands, getBaselineValue, getCaption, getChildByID, getChildByID, getChildByName, getChildByName, getChildByPersistentID, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCXRules, getDatabaseID, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getFuncCompByID, getFuncCompByName, getFunctionalCompanions, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyById, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, hasAttribute, hasChildren, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hashCode, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDefaultAffected, isDeleteChanged, isDeleted, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, lookupNodeID, lookupNodeID, registerLoadCondition, setLineType, setLocationID, setLocationTypeCode, synchronizeIBValues, typeToString`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`isDescendantOf`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Constructor Detail

### Connector

    public Connector(oracle.apps.cz.cio.Configuration config,
                     oracle.apps.cz.cio.IRuntimeNode parent,
                     oracle.apps.cz.dio.model.DbModelNode node,
                     oracle.apps.cz.dio.model.DbModelRefExplNode refNode)

Method Detail

### getTarget

    public oracle.apps.cz.cio.Component getTarget()

  Returns the connected target, if loaded. This should be called only when isConnected() returns true.
  Returns:
    oracle.apps.cz.cio.Component
  See Also:
    `isConnected()`

### getTargetInfo

    public oracle.apps.cz.cio.TargetInfo getTargetInfo()

  Returns an object describing the connected target, even if that target is not currently loaded This should be called only when isConnected() returns true.
  Returns:
    oracle.apps.cz.cio.TargetInfo
  See Also:
    `isConnected()`

### assignConnectionTarget

    public void assignConnectionTarget(oracle.apps.cz.cio.Component target)
                                throws LogicalException

  This method makes a connection to the specified target
  Parameters:
    `target` - The target of the connection
    `LogicalException`

### unassignConnectionTarget

    public void unassignConnectionTarget()
                                  throws LogicalException

  This method breaks the current connection. A connection MUST exist to call this method. This can be verified by calling isConnected()
    `LogicalException`

### getEligibleTargets

    public com.sun.java.util.collections.List getEligibleTargets()

  This method returns a list of Components that this Connector can currently connect to. Functional Companions defined on this Connector will be executed.

### isConnected

    public boolean isConnected()

  Test to see if this Connector is currently connected to a target

### isConditionSatisfied

    public boolean isConditionSatisfied()

  Returns true if the condition is satisfied i.e. it is connected

### isRequired

    public boolean isRequired()

  Test to see if this Connector must be connected in order to be satisfied

### getType

    public int getType()

  Description copied from class: `RuntimeNode`
  Returns the type of the runtime node. Must be implemented.
  Specified by:
    `getType` in interface `IRuntimeNode`
  Specified by:
    `getType` in class `RuntimeNode`
  Returns:
    the type of this node.

### isUnsatisfiedNode

    public boolean isUnsatisfiedNode(boolean isTrue)

  Overrides:
    `isUnsatisfiedNode` in class `RuntimeNode`

### addConnectionEventListener

    public void addConnectionEventListener(oracle.apps.cz.cio.IConnectionEventListener listener)

  Add a listener that is notified when the connector is connected or disconnected.
  Parameters:
    `listener` - The object which implements the IConnectionEventListener interface

### addLoadConditionEventListener

    public void addLoadConditionEventListener(oracle.apps.cz.cio.LoadConditionsGroup listener)
                                       throws LogicalException

  Add a listener that is notified when the connector is connected or disconnected. This method is to be called only by the LoadConditionsGroups
    `LogicalException`

### removeConnectionEventListener

    public void removeConnectionEventListener(oracle.apps.cz.cio.IConnectionEventListener listener)

  Remove a listener that is notified when the connector is connected or disconnected.
  Parameters:
    `listener` - The object which implements the IConnectionEventListener interface

### removeLoadConditionEventListener

    public void removeLoadConditionEventListener(oracle.apps.cz.cio.LoadConditionsGroup listener)

  Remove a listener that is notified when the connector is connected or disconnected. This is the protected method, to be called by the LoadConditionsGroups

### isDeselectedDiscontinued

    public boolean isDeselectedDiscontinued()

  Overrides:
    `isDeselectedDiscontinued` in class `RuntimeNode`

### getInstalledValue

    public java.lang.String getInstalledValue()

  Description copied from interface: `IRuntimeNode`
  Gets the installed value of this node
  Specified by:
    `getInstalledValue` in interface `IRuntimeNode`
  Overrides:
    `getInstalledValue` in class `RuntimeNode`
  Returns:
    installed value as a String

### getCurrentValue

    public java.lang.String getCurrentValue()

  Description copied from interface: `IRuntimeNode`
  Gets the current value of this node
  Specified by:
    `getCurrentValue` in interface `IRuntimeNode`
  Overrides:
    `getCurrentValue` in class `RuntimeNode`
  Returns:
    current value as a String

### getDeltaValue

    public java.lang.String getDeltaValue()

  Description copied from interface: `IRuntimeNode`
  Gets the difference between the current value and the installed value of this node
  Specified by:
    `getDeltaValue` in interface `IRuntimeNode`
  Overrides:
    `getDeltaValue` in class `RuntimeNode`
  Returns:
    (current value - installed value) as a String

### getTargetDisplayName

    public java.lang.String getTargetDisplayName()

  Returns the display name of the currently connected target Returns null if this connector is not connected

### getTargetDisplayNamePath

    public java.lang.String getTargetDisplayNamePath()

  Returns the display name path of the currently connected target Returns null if this connector is not connected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.